Skip to main content
GET
Query Sales Order Line Items

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://auth.jtl-cloud.com/oauth2/auth
Token URL
https://auth.jtl-cloud.com/oauth2/token
Scopes2
salesorders.read
Grants permission to read sales orders.
all.read
Allows the application to read all data.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

salesOrderId
string<uuid>
required

The ID of the sales order that the line items belong to.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

The requested line items.

id
string<uuid>
required

Unique ID to identify a sales order item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

salesOrderId
string<uuid>
required

Unique ID to identify a sales order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

itemId
string<uuid>
required

Unique ID to identify an item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

name
string
required

Name of the position.

sKU
string
required

SKU of the sales order line item.

type
enum<integer>
required

Type of the sales order line item. Type 0 -> free-text position | Type 1 -> item position

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18,
19,
20,
21
quantity
number<decimal>
required

The quantity of the line item.

quantityDelivered
number<decimal>
required

The quantity of the line item that has been delivered.

quantityReturned
number<decimal>
required

The quantity of the line item that has been returned.

salesUnit
string
required

The sales unit of the line item.

salesPriceNet
number<decimal>
required

The net sales price of the item. Only net or gross price can be entered. The other price will then be calculated.

salesPriceGross
number<decimal>
required

The gross sales price of the item. Only net or gross price can be entered. The other price will then be calculated.

discount
number<decimal>
required

The discount of the line item.

purchasePriceNet
number<decimal>
required

The purchase price of the item.

taxRate
number<decimal>
required

The tax rate of the line item.

notice
string
required

Notice for the line item.